### A free/open-source library for quantitative finance

Public Types | Public Member Functions | Protected Member Functions
MCEuropeanEngine< RNG, S > Class Template Reference
Vanilla option engines

European option pricing engine using Monte Carlo simulation. More...

`#include <ql/pricingengines/vanilla/mceuropeanengine.hpp>`

Inheritance diagram for MCEuropeanEngine< RNG, S >:
[legend]

List of all members.

## Public Types

typedef MCVanillaEngine < SingleVariate, RNG, S > ::path_generator_type | path_generator_type
typedef MCVanillaEngine < SingleVariate, RNG, S > ::path_pricer_type | path_pricer_type
typedef MCVanillaEngine < SingleVariate, RNG, S > ::stats_type | stats_type

## Public Member Functions

| MCEuropeanEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process, Size timeSteps, Size timeStepsPerYear, bool brownianBridge, bool antitheticVariate, Size requiredSamples, Real requiredTolerance, Size maxSamples, BigNatural seed)

## Protected Member Functions

boost::shared_ptr < path_pricer_type > | pathPricer () const

## Detailed Description

### template<class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MCEuropeanEngine< RNG, S >

European option pricing engine using Monte Carlo simulation.

Tests:
  the correctness of the returned value is tested by checking it against analytic results.